Note Reactions API
List note reactions
List all note reactions for a note:
GET /notes/:id/note_reactions
Response
status: 200 OK
[
{
"id": 5,
"reaction": "👍",
"person": {
"id": 6,
"name": "Howard Tanner",
"account": {
"id": 10,
"name": "Widget International"
}
}
}
]
The response contains these fields by default. Pagination is available to reduce/limit the collection of note reactions.
Create a note reaction
POST /note_reactions
When creating a new note reaction you have to provide a note_id and reaction see the fields section.
Response
status: 201 Created
{
"id": 5,
"reaction": "👍",
"person": {
"id": 6,
"name": "Howard Tanner",
"account": {
"id": 10,
"name": "Widget International"
}
}
}
Remove a note reaction
Remove a note reaction with a specific ID.
DELETE /note_reactions/:id
Response
status: 204 No Content